Assign Course To Multiple Users
Assign a course to a set of users in a single request. Returns 422 when
the request does not end up assigning the course to any user.
Authentication
Api-Keystring
API key of the organization. Always sent together with the Secret-Access header.
Path parameters
organization_slug
Headers
Secret-Access
Request
This endpoint expects an object.
content_value
Id of the course to assign, as returned in course.content_value by the learning v2 catalog endpoints
centralized_user_list_ids
Centralized user ids that will receive the course
send_email_to_all_selected_users
Whether to notify every selected user by email
Response
Course assigned (fully or partially; see the response code field)
message
Message of the response
code
Internal code of the response
datetime
Datetime of the API in ISO Format
data
Course assignment details
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error
